# Exceptions

## gbds-ping

> This method is used to check the API availability.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/operations/ping":{"get":{"description":"This method is used to check the API availability.","tags":["exceptions"],"operationId":"gbds-ping","summary":"gbds-ping","responses":{"200":{"description":"default response","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PingResponse"}}}}}}}},"components":{"schemas":{"PingResponse":{"type":"object","properties":{"data":{"type":"string"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```

## listExceptions

> This method returns a list of exceptions that match a given search criteria.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/exceptions":{"get":{"description":"This method returns a list of exceptions that match a given search criteria.","tags":["exceptions"],"operationId":"listExceptions","summary":"listExceptions","parameters":[{"name":"status","in":"query","required":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","APPROVE","REJECT","ERROR"]}}},{"name":"startDate","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"user","in":"query","required":false,"schema":{"type":"string"}},{"name":"keys","in":"query","required":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"biographics","in":"query","required":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"labels","in":"query","required":true,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string"}}},{"name":"exceptionFields","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["NO_FIELDS","ALL_FIELDS"]}}}],"responses":{"200":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListExceptionsResponse"}}}}}}}},"components":{"schemas":{"ListExceptionsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Exception"}},"pagination":{"$ref":"#/components/schemas/Pagination"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"Exception":{"type":"object","properties":{"enrollPguid":{"type":"string"},"enrollTguid":{"type":"string"},"transactionTimestamp":{"type":"integer","format":"int64"},"match":{"$ref":"#/components/schemas/Match"},"assignedUser":{"type":"string"},"exceptionAnalysis":{"$ref":"#/components/schemas/ExceptionAnalysis"},"transactionType":{"type":"string","enum":["ENROLL","UPDATE"]}}},"Match":{"type":"object","properties":{"matchedPersonPguid":{"type":"string"},"matchedPersonTguid":{"type":"string"},"biometricMatches":{"type":"array","items":{"$ref":"#/components/schemas/BiometricMatch"}}}},"BiometricMatch":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"},"minutia":{"type":"array","items":{"$ref":"#/components/schemas/Minutiae"}}}},"Minutiae":{"type":"object","properties":{"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"}}},"ExceptionAnalysis":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","APPROVE","REJECT","ERROR"]},"exceptionTimestamp":{"type":"integer","format":"int64"},"user":{"type":"string"},"comments":{"type":"string"}}},"Pagination":{"type":"object","properties":{"total":{"type":"integer","format":"int64"},"count":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"currentPage":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int64"}}},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```

## listByTransaction

> This method returns the exception list from a given exception.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/exceptions/{tguid}":{"get":{"description":"This method returns the exception list from a given exception.","tags":["exceptions"],"operationId":"listByTransaction","summary":"listByTransaction","parameters":[{"name":"tguid","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListExceptionsResponse"}}}}}}}},"components":{"schemas":{"ListExceptionsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Exception"}},"pagination":{"$ref":"#/components/schemas/Pagination"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"Exception":{"type":"object","properties":{"enrollPguid":{"type":"string"},"enrollTguid":{"type":"string"},"transactionTimestamp":{"type":"integer","format":"int64"},"match":{"$ref":"#/components/schemas/Match"},"assignedUser":{"type":"string"},"exceptionAnalysis":{"$ref":"#/components/schemas/ExceptionAnalysis"},"transactionType":{"type":"string","enum":["ENROLL","UPDATE"]}}},"Match":{"type":"object","properties":{"matchedPersonPguid":{"type":"string"},"matchedPersonTguid":{"type":"string"},"biometricMatches":{"type":"array","items":{"$ref":"#/components/schemas/BiometricMatch"}}}},"BiometricMatch":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"},"minutia":{"type":"array","items":{"$ref":"#/components/schemas/Minutiae"}}}},"Minutiae":{"type":"object","properties":{"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"}}},"ExceptionAnalysis":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","APPROVE","REJECT","ERROR"]},"exceptionTimestamp":{"type":"integer","format":"int64"},"user":{"type":"string"},"comments":{"type":"string"}}},"Pagination":{"type":"object","properties":{"total":{"type":"integer","format":"int64"},"count":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"currentPage":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int64"}}},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```

## assignException

> This method assigns an exception to a given user.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/exceptions/{tguid}/{pguid}/users/{user}":{"put":{"description":"This method assigns an exception to a given user.","tags":["exceptions"],"operationId":"assignException","summary":"assignException","parameters":[{"name":"tguid","in":"path","required":true,"schema":{"type":"string"}},{"name":"pguid","in":"path","required":true,"schema":{"type":"string"}},{"name":"user","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"default response","content":{"*/*":{"schema":{"type":"object"}}}}}}}}}
```

## treat

> This method provides the treatment for a given exception.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/exceptions/treatment":{"post":{"description":"This method provides the treatment for a given exception.","tags":["exceptions"],"operationId":"treat","summary":"treat","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TreatExceptionsValidatedRequest"}}}},"responses":{"200":{"description":"default response","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TreatExceptionsResponse"}}}}}}}},"components":{"schemas":{"TreatExceptionsValidatedRequest":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/ExceptionTreatment"},"meta":{"$ref":"#/components/schemas/Meta"},"subject":{"$ref":"#/components/schemas/Subject"},"validatedExceptionTreatment":{"$ref":"#/components/schemas/ValidatedExceptionTreatment"}}},"ExceptionTreatment":{"type":"object","properties":{"enrollTguid":{"type":"string"},"exceptionPguid":{"type":"string"},"exceptionAnalysis":{"$ref":"#/components/schemas/ExceptionAnalysis"},"referenceIndexes":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ExceptionAnalysis":{"type":"object","properties":{"status":{"type":"string","enum":["ANALYSIS","DIFFERENT_FINGERS","SAME_FINGERS","INCORRECT_ENROLL","RECOLLECT","MERGE_TRANSACTIONS","APPROVE","REJECT","ERROR"]},"exceptionTimestamp":{"type":"integer","format":"int64"},"user":{"type":"string"},"comments":{"type":"string"}}},"Meta":{"type":"object","properties":{"timeout":{"type":"integer","format":"int32"},"discardReference":{"type":"boolean"}}},"Subject":{"type":"object","properties":{"name":{"type":"string"},"roles":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Role"}},"permissions":{"uniqueItems":true,"type":"array","items":{"$ref":"#/components/schemas/Permission"}}}},"Role":{"type":"object"},"Permission":{"type":"object"},"ValidatedExceptionTreatment":{"type":"object","properties":{"enrollTguid":{"type":"string"},"exceptionPguid":{"type":"string"},"exceptionAnalysis":{"$ref":"#/components/schemas/ExceptionAnalysis"},"referenceIndexes":{"type":"array","items":{"type":"integer","format":"int32"}}}},"TreatExceptionsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Data"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"Data":{"type":"object","properties":{"status":{"type":"string","enum":["OK","ENQUEUED","ERROR"]},"treatTguid":{"type":"string"},"failReason":{"type":"string"}}},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```

## gbds-getPerson

> This method returns the information of a person, given its PGUID.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/people/{pguid}":{"get":{"description":"This method returns the information of a person, given its PGUID.","tags":["exceptions"],"operationId":"gbds-getPerson","summary":"gbds-getPerson","parameters":[{"name":"pguid","in":"path","required":true,"schema":{"type":"string"}},{"name":"personFields","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["BIOMETRIC","AUXILIARIES","KEYS","BIOGRAPHICS","LABELS","METADATA","BASIC_FIELDS","NO_FIELDS","ALL_FIELDS"]}}},{"name":"biometricFields","in":"query","required":false,"schema":{"uniqueItems":true,"type":"array","items":{"type":"string","enum":["INDEX","ALL_FIELDS"]}}}],"responses":{"200":{"description":"default response","content":{"*/*":{"schema":{"$ref":"#/components/schemas/GetPeopleResponse"}}}}}}}},"components":{"schemas":{"GetPeopleResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Person"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"Person":{"type":"object","properties":{"pguid":{"type":"string"},"lastEnrollTguid":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"keys":{"type":"array","items":{"$ref":"#/components/schemas/Key"}},"biographics":{"type":"array","items":{"$ref":"#/components/schemas/Biographic"}},"biometric":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"auxiliaries":{"type":"array","writeOnly":true,"items":{"$ref":"#/components/schemas/Biometric"}},"metadata":{"type":"string"},"labels":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"history":{"$ref":"#/components/schemas/History"},"auxiliaryImages":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"ebts":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}}}},"Key":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"Biographic":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"Biometric":{"type":"object","properties":{"source":{"type":"string","enum":["ORIGINAL","TEMPLATE","CONSOLIDATED_TEMPLATE"]},"type":{"type":"string","enum":["FINGERPRINT","PALMPRINT","FOOTPRINT","FACE","IRIS","VOICE","SIGNATURE","SEQUENCE_CONTROL"]},"format":{"type":"string","enum":["RAW","WSQ","JPEG","JPEG2000","PNG","TIFF","GIF","BMP","PCM","WAV","PRIVATE","ISO","ANSI","UNKNOWN","EBTS_TYPE9"]},"properties":{"$ref":"#/components/schemas/BiometricProperties"},"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"quality":{"type":"integer","format":"int32"}}},"BiometricProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"},"ratio":{"type":"number","format":"double"}}},"History":{"type":"object","properties":{"events":{"type":"array","items":{"$ref":"#/components/schemas/HistoryEvent"}}}},"HistoryEvent":{"required":["type"],"type":"object","properties":{"tguid":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"type":{"type":"string"}},"discriminator":{"propertyName":"type"}},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```

## getTransaction

> This method returns the data of a transaction, given its TGUID.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/people/transactions/{tguid}":{"get":{"description":"This method returns the data of a transaction, given its TGUID.","tags":["exceptions"],"operationId":"getTransaction","summary":"getTransaction","parameters":[{"name":"tguid","in":"path","required":true,"schema":{"type":"string"}},{"name":"enrollFields","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["BASIC_FIELDS","EXCEPTIONS","QUALITY","PERSON","EXCEPTION_ISSUES","EXTERNAL_IDS","ALL_FIELDS","NO_FIELDS"]}}},{"name":"personFields","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["BIOMETRIC","AUXILIARIES","KEYS","BIOGRAPHICS","LABELS","METADATA","BASIC_FIELDS","NO_FIELDS","ALL_FIELDS"]}}}],"responses":{"200":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetEnrollTransactionsResponse"}}}}}}}},"components":{"schemas":{"GetEnrollTransactionsResponse":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Enroll"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"Enroll":{"type":"object","properties":{"tguid":{"type":"string"},"pguid":{"type":"string"},"status":{"type":"string","enum":["ENQUEUED","PROCESSING","ENROLLED","EXCEPTION","FAILED","PENDING"]},"timestamp":{"type":"integer","format":"int64"},"progress":{"type":"number","format":"float"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"person":{"$ref":"#/components/schemas/Person"},"qualityAnalysis":{"$ref":"#/components/schemas/QualityAnalysis"},"failReason":{"type":"string"},"extractionIssues":{"type":"array","items":{"$ref":"#/components/schemas/ExtractionIssue"}},"externalIds":{"type":"array","items":{"$ref":"#/components/schemas/ExternalID"}},"isCurrentTransaction":{"type":"boolean"}}},"Match":{"type":"object","properties":{"matchedPersonPguid":{"type":"string"},"matchedPersonTguid":{"type":"string"},"biometricMatches":{"type":"array","items":{"$ref":"#/components/schemas/BiometricMatch"}}}},"BiometricMatch":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"},"minutia":{"type":"array","items":{"$ref":"#/components/schemas/Minutiae"}}}},"Minutiae":{"type":"object","properties":{"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"}}},"Person":{"type":"object","properties":{"pguid":{"type":"string"},"lastEnrollTguid":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"keys":{"type":"array","items":{"$ref":"#/components/schemas/Key"}},"biographics":{"type":"array","items":{"$ref":"#/components/schemas/Biographic"}},"biometric":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"auxiliaries":{"type":"array","writeOnly":true,"items":{"$ref":"#/components/schemas/Biometric"}},"metadata":{"type":"string"},"labels":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"history":{"$ref":"#/components/schemas/History"},"auxiliaryImages":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"ebts":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}}}},"Key":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"Biographic":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"Biometric":{"type":"object","properties":{"source":{"type":"string","enum":["ORIGINAL","TEMPLATE","CONSOLIDATED_TEMPLATE"]},"type":{"type":"string","enum":["FINGERPRINT","PALMPRINT","FOOTPRINT","FACE","IRIS","VOICE","SIGNATURE","SEQUENCE_CONTROL"]},"format":{"type":"string","enum":["RAW","WSQ","JPEG","JPEG2000","PNG","TIFF","GIF","BMP","PCM","WAV","PRIVATE","ISO","ANSI","UNKNOWN","EBTS_TYPE9"]},"properties":{"$ref":"#/components/schemas/BiometricProperties"},"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"quality":{"type":"integer","format":"int32"}}},"BiometricProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"},"ratio":{"type":"number","format":"double"}}},"History":{"type":"object","properties":{"events":{"type":"array","items":{"$ref":"#/components/schemas/HistoryEvent"}}}},"HistoryEvent":{"required":["type"],"type":"object","properties":{"tguid":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"type":{"type":"string"}},"discriminator":{"propertyName":"type"}},"QualityAnalysis":{"type":"object","properties":{"status":{"type":"string","enum":["PENDING","APPROVED","REJECTED","OK","ERROR","PENDING_DUPLICITIES"]},"assignedUser":{"type":"string"},"user":{"type":"string"},"comments":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"duplicationIssues":{"type":"array","items":{"$ref":"#/components/schemas/DuplicationIssue"}},"qualityIssues":{"type":"array","items":{"$ref":"#/components/schemas/QualityIssue"}},"sequenceControlIssues":{"type":"array","items":{"$ref":"#/components/schemas/SequenceControlMismatchIssue"}},"sequenceControlParityIssue":{"$ref":"#/components/schemas/SequenceControlParityIssue"}}},"DuplicationIssue":{"type":"object","properties":{"indexes":{"type":"array","items":{"type":"integer","format":"int32"}},"nextDuplicate":{"type":"array","items":{"type":"integer","format":"int32"}}}},"QualityIssue":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"quality":{"type":"integer","format":"int32"}}},"SequenceControlMismatchIssue":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/SequenceControlMatch"}}}},"SequenceControlMatch":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"score":{"type":"integer","format":"int32"}}},"SequenceControlParityIssue":{"type":"object","properties":{"missingIndexes":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ExtractionIssue":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"message":{"type":"string"}}},"ExternalID":{"type":"object","properties":{"name":{"type":"string"},"key":{"type":"string"}}},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```

## listTransactions

> This method returns a list of enrollment and update transactions that match the search criteria.

```json
{"openapi":"3.0.1","info":{"title":"PSBio API Documentation","version":"5.6.7"},"servers":[{"url":"http://<ip>:8084","description":"Generated server url"}],"paths":{"/gbds/v2/people/transactions":{"get":{"description":"This method returns a list of enrollment and update transactions that match the search criteria.","tags":["exceptions"],"operationId":"listTransactions","summary":"listTransactions","parameters":[{"name":"enrollStatus","in":"query","required":false,"schema":{"type":"string","enum":["ENQUEUED","PROCESSING","ENROLLED","EXCEPTION","FAILED","PENDING"]}},{"name":"qualityStatus","in":"query","required":false,"schema":{"type":"string","enum":["PENDING","APPROVED","REJECTED","OK","ERROR","PENDING_DUPLICITIES"]}},{"name":"startDate","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"pageIndex","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"enrollFields","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["BASIC_FIELDS","EXCEPTIONS","QUALITY","PERSON","EXCEPTION_ISSUES","EXTERNAL_IDS","ALL_FIELDS","NO_FIELDS"]}}},{"name":"personFields","in":"query","required":false,"schema":{"type":"array","items":{"type":"string","enum":["BIOMETRIC","AUXILIARIES","KEYS","BIOGRAPHICS","LABELS","METADATA","BASIC_FIELDS","NO_FIELDS","ALL_FIELDS"]}}}],"responses":{"200":{"description":"default response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListEnrollTransactionsResponse"}}}}}}}},"components":{"schemas":{"ListEnrollTransactionsResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Enroll"}},"pagination":{"$ref":"#/components/schemas/Pagination"},"meta":{"$ref":"#/components/schemas/ResponseMeta"},"httpResponse":{"$ref":"#/components/schemas/HttpResponse"}}},"Enroll":{"type":"object","properties":{"tguid":{"type":"string"},"pguid":{"type":"string"},"status":{"type":"string","enum":["ENQUEUED","PROCESSING","ENROLLED","EXCEPTION","FAILED","PENDING"]},"timestamp":{"type":"integer","format":"int64"},"progress":{"type":"number","format":"float"},"candidates":{"type":"array","items":{"$ref":"#/components/schemas/Match"}},"person":{"$ref":"#/components/schemas/Person"},"qualityAnalysis":{"$ref":"#/components/schemas/QualityAnalysis"},"failReason":{"type":"string"},"extractionIssues":{"type":"array","items":{"$ref":"#/components/schemas/ExtractionIssue"}},"externalIds":{"type":"array","items":{"$ref":"#/components/schemas/ExternalID"}},"isCurrentTransaction":{"type":"boolean"}}},"Match":{"type":"object","properties":{"matchedPersonPguid":{"type":"string"},"matchedPersonTguid":{"type":"string"},"biometricMatches":{"type":"array","items":{"$ref":"#/components/schemas/BiometricMatch"}}}},"BiometricMatch":{"type":"object","properties":{"score":{"type":"integer","format":"int32"},"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"},"minutia":{"type":"array","items":{"$ref":"#/components/schemas/Minutiae"}}}},"Minutiae":{"type":"object","properties":{"queryIndex":{"type":"integer","format":"int32"},"referenceIndex":{"type":"integer","format":"int32"}}},"Person":{"type":"object","properties":{"pguid":{"type":"string"},"lastEnrollTguid":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"keys":{"type":"array","items":{"$ref":"#/components/schemas/Key"}},"biographics":{"type":"array","items":{"$ref":"#/components/schemas/Biographic"}},"biometric":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"auxiliaries":{"type":"array","writeOnly":true,"items":{"$ref":"#/components/schemas/Biometric"}},"metadata":{"type":"string"},"labels":{"uniqueItems":true,"type":"array","items":{"type":"string"}},"history":{"$ref":"#/components/schemas/History"},"auxiliaryImages":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}},"ebts":{"type":"array","items":{"$ref":"#/components/schemas/Biometric"}}}},"Key":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"Biographic":{"type":"object","properties":{"id":{"type":"string"},"value":{"type":"string"}}},"Biometric":{"type":"object","properties":{"source":{"type":"string","enum":["ORIGINAL","TEMPLATE","CONSOLIDATED_TEMPLATE"]},"type":{"type":"string","enum":["FINGERPRINT","PALMPRINT","FOOTPRINT","FACE","IRIS","VOICE","SIGNATURE","SEQUENCE_CONTROL"]},"format":{"type":"string","enum":["RAW","WSQ","JPEG","JPEG2000","PNG","TIFF","GIF","BMP","PCM","WAV","PRIVATE","ISO","ANSI","UNKNOWN","EBTS_TYPE9"]},"properties":{"$ref":"#/components/schemas/BiometricProperties"},"index":{"type":"integer","format":"int32"},"content":{"type":"string"},"quality":{"type":"integer","format":"int32"}}},"BiometricProperties":{"type":"object","properties":{"width":{"type":"integer","format":"int32"},"height":{"type":"integer","format":"int32"},"resolution":{"type":"integer","format":"int32"},"ratio":{"type":"number","format":"double"}}},"History":{"type":"object","properties":{"events":{"type":"array","items":{"$ref":"#/components/schemas/HistoryEvent"}}}},"HistoryEvent":{"required":["type"],"type":"object","properties":{"tguid":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"type":{"type":"string"}},"discriminator":{"propertyName":"type"}},"QualityAnalysis":{"type":"object","properties":{"status":{"type":"string","enum":["PENDING","APPROVED","REJECTED","OK","ERROR","PENDING_DUPLICITIES"]},"assignedUser":{"type":"string"},"user":{"type":"string"},"comments":{"type":"string"},"timestamp":{"type":"integer","format":"int64"},"duplicationIssues":{"type":"array","items":{"$ref":"#/components/schemas/DuplicationIssue"}},"qualityIssues":{"type":"array","items":{"$ref":"#/components/schemas/QualityIssue"}},"sequenceControlIssues":{"type":"array","items":{"$ref":"#/components/schemas/SequenceControlMismatchIssue"}},"sequenceControlParityIssue":{"$ref":"#/components/schemas/SequenceControlParityIssue"}}},"DuplicationIssue":{"type":"object","properties":{"indexes":{"type":"array","items":{"type":"integer","format":"int32"}},"nextDuplicate":{"type":"array","items":{"type":"integer","format":"int32"}}}},"QualityIssue":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"quality":{"type":"integer","format":"int32"}}},"SequenceControlMismatchIssue":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"matches":{"type":"array","items":{"$ref":"#/components/schemas/SequenceControlMatch"}}}},"SequenceControlMatch":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"score":{"type":"integer","format":"int32"}}},"SequenceControlParityIssue":{"type":"object","properties":{"missingIndexes":{"type":"array","items":{"type":"integer","format":"int32"}}}},"ExtractionIssue":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"message":{"type":"string"}}},"ExternalID":{"type":"object","properties":{"name":{"type":"string"},"key":{"type":"string"}}},"Pagination":{"type":"object","properties":{"total":{"type":"integer","format":"int64"},"count":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"currentPage":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int64"}}},"ResponseMeta":{"type":"object"},"HttpResponse":{"type":"object","properties":{"httpCode":{"type":"integer","format":"int32"},"body":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.griaule.com/apis/psbio/exceptions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
